Skip to main content
GET
/
applications
List applications
curl --request GET \
  --url https://hireloam.com/api/v1/applications \
  --header 'Authorization: Bearer <token>'
{
  "applications": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source_type": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "candidate": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "full_name": "<string>",
        "primary_email": "[email protected]",
        "linkedin_url": "<string>"
      },
      "stage": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "order_index": 123
      },
      "job": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "title": "<string>"
      }
    }
  ],
  "pagination": {
    "limit": 123,
    "offset": 123,
    "has_more": true
  }
}

Authorizations

Authorization
string
header
required

API key from Settings > API Keys

Query Parameters

job_id
string<uuid>

Filter to a specific job

stage_id
string<uuid>

Filter to a specific stage

limit
integer
default:50

Maximum number of results (default 50, max 100)

Required range: 1 <= x <= 100
offset
integer
default:0

Pagination offset

Required range: x >= 0

Response

List of applications

applications
object[]
pagination
object